%define oname   lgi

%{!?lua_compat_version: %global lua_compat_version 5.1}
%{!?lua_compat_libdir: %global lua_compat_libdir %{_libdir}/lua/%{lua_compat_version}}
%{!?lua_compat_pkgdir: %global lua_compat_pkgdir %{_datadir}/lua/%{lua_compat_version}}
%{!?lua_compat_builddir: %global lua_compat_builddir %{_builddir}/lua%{lua_compat_version}-lpeg-%{version}-%{release}}

%bcond_without compat

Name:           lua-lgi
Version:        0.9.2
Release:        %mkrel 10
Summary:        Dynamic Lua binding to GObject libraries using GObject-Introspection
Group:          Development/Other
License:        MIT
URL:            https://github.com/pavouk/lgi
Source0:        https://github.com/pavouk/lgi/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         lua-lgi-0.8.0-mga-lua-linking-and-libname.patch
# From Fedora
Patch50:        lgi-0.9.2-lua54.patch
Patch51:        lgi-0.9.2-fix-gobject-warnings.patch
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(libffi)
BuildRequires:  pkgconfig(lua)

%description
LGI is gobject-introspection based dynamic Lua binding to GObject based
libraries. It allows using GObject-based libraries directly from Lua.

%if %{with compat}
%package -n lua%{lua_compat_version}-lgi
Summary:	Dynamic Lua binding to GObject libraries using GObject-Introspection
BuildRequires:  pkgconfig(lua-5.1)

%description -n lua%{lua_compat_version}-lgi
LGI is gobject-introspection based dynamic Lua binding to GObject based
libraries. It allows using GObject-based libraries directly from Lua.
%endif

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%if %{with compat}
rm -rf %{lua_compat_builddir}
cp -a . %{lua_compat_builddir}
sed -i -e '/PKGS/s/lua/lua-5.1/g' -e 's/-llua/-llua-5.1/' %{lua_compat_builddir}/lgi/Makefile

%endif

%build
%set_build_flags
%make_build

%if %{with compat}
pushd %{lua_compat_builddir}
%make_build
popd
%endif

%install
%make_install \
    PREFIX=%{_prefix} \
    LUA_LIBDIR=%{lua_libdir} \
    LUA_SHAREDIR=%{lua_pkgdir} \
    LUA_VERSION=%{lua_version}

%if %{with compat}
pushd %{lua_compat_builddir}
%make_install \
    PREFIX=%{_prefix} \
    LUA_LIBDIR=%{lua_compat_libdir} \
    LUA_SHAREDIR=%{lua_compat_pkgdir} \
    LUA_VERSION=%{lua_compat_version}
popd
%endif

%files
%doc README.md docs/*
%{lua_libdir}/lgi/corelgilua.so
%{lua_pkgdir}/lgi*

%if %{with compat}
%files -n lua%{lua_compat_version}-lgi
%doc README.md docs/*
%{lua_compat_libdir}/lgi/corelgilua.so
%{lua_compat_pkgdir}/lgi*
%endif


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.9.2-10.mga10
+ Revision: 2196415
- Mageia 10 Mass Rebuild

* Fri Mar 18 2022 umeabot <umeabot> 0.9.2-9.mga9
+ Revision: 1797956
- Mageia 9 Mass Rebuild

* Thu Aug 05 2021 luigiwalser <luigiwalser> 0.9.2-8.mga9
+ Revision: 1739660
- rebuild for libffi

* Sat Apr 10 2021 wally <wally> 0.9.2-7.mga9
+ Revision: 1714553
- build lua 5.1 compatibility package

* Sat Apr 03 2021 wally <wally> 0.9.2-6.mga9
+ Revision: 1712946
- rebuild for lua 5.4
- add patches from Fedora

* Tue Jun 16 2020 ovitters <ovitters> 0.9.2-5.mga8
+ Revision: 1593536
- rebuild for new ffi

* Fri Feb 14 2020 umeabot <umeabot> 0.9.2-4.mga8
+ Revision: 1520418
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Wed Nov 21 2018 shlomif <shlomif> 0.9.2-3.mga7
+ Revision: 1332571
- convert to lua 5.3

* Sun Sep 23 2018 umeabot <umeabot> 0.9.2-2.mga7
+ Revision: 1299371
- Mageia 7 Mass Rebuild

* Wed Apr 04 2018 kekepower <kekepower> 0.9.2-1.mga7
+ Revision: 1215165
- Update to version 0.9.2
- Rediffed patch

* Mon Feb 01 2016 umeabot <umeabot> 0.8.0-4.mga6
+ Revision: 930211
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-3.mga5
+ Revision: 749696
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-2.mga5
+ Revision: 682028
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 akien <akien> 0.8.0-1.mga5
+ Revision: 661524
- Version 0.8.0
- Fix libname to reference lua 5.2

* Sun Mar 30 2014 shikamaru <shikamaru> 0.7.2-1.mga5
+ Revision: 610352
- bump to 0.7.2 for awesome 3.5.3

* Fri Oct 18 2013 umeabot <umeabot> 0.6.2-3.mga4
+ Revision: 507580
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.6.2-2.mga3
+ Revision: 359068
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 shikamaru <shikamaru> 0.6.2-1.mga3
+ Revision: 324180
- imported package lua-lgi

